Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZContentObjectTreeNodeOperations Class Reference

The class eZContentObjectTreeNodeOperations is a wrapper for node's core-operations. It takes care about interface stuff. Example: there is a 'move' core-operation that moves a node from one location to another. But, for example, before and after moving we have to clear view caches for old and new placements. Clearing of the cache is handled by this class. More...

## Static Public Member Functions
static | move ( $nodeID, $newParentNodeID)
static | copy ( $nodeID, $newParentNodeID)
static | copySubtree ( $srcNodeID, $dstNodeID, &$notifications, $allVersions, $keepCreator, $keepTime)
static | showNotificationAfterCopying (&$Result, &$Notifications, $srcNode)
static | copyPublishContentObject ( $sourceObject, $sourceSubtreeNodeIDList, &$syncNodeIDListSrc, &$syncNodeIDListNew, &$syncObjectIDListSrc, &$syncObjectIDListNew, $objectIDBlackList, &$nodeIDBlackList, &$notifications, $allVersions=false, $keepCreator=false, $keepTime=false)

## Detailed Description

The class eZContentObjectTreeNodeOperations is a wrapper for node's core-operations. It takes care about interface stuff. Example: there is a 'move' core-operation that moves a node from one location to another. But, for example, before and after moving we have to clear view caches for old and new placements. Clearing of the cache is handled by this class.

Definition at line 21 of file ezcontentobjecttreenodeoperations.php.

## Member Function Documentation

## ◆ copy()

static eZContentObjectTreeNodeOperations::copy | ( |  | $nodeID,
|  |  | $newParentNodeID
| ) |  |
| static

A wrapper for eZContentObjectTreeNode's 'copy' operation. It does:

- performs actual move( calls eZContentObjectTreeNode->copy() );
- updates subtree path;
- updates node's section;
- updates assignment( setting new 'parent_node' );
- clears caches for new placement;

Parameters

  $nodeID | The id of a node to move.
  $newParentNodeID | The id of a new parent.

Returns
  `true` if 'copy' was done successfully, otherwise `false` within notifications array;

Definition at line 151 of file ezcontentobjecttreenodeoperations.php.

References copySubtree(), eZContentObjectTreeNode\fetch(), eZHTTPTool\instance(), showNotificationAfterCopying(), and ezpI18n\tr().

## ◆ copyPublishContentObject()

static eZContentObjectTreeNodeOperations::copyPublishContentObject | ( |  | $sourceObject,
|  |  | $sourceSubtreeNodeIDList,
|  | & | $syncNodeIDListSrc,
|  | & | $syncNodeIDListNew,
|  | & | $syncObjectIDListSrc,
|  | & | $syncObjectIDListNew,
|  |  | $objectIDBlackList,
|  | & | $nodeIDBlackList,
|  | & | $notifications,
|  |  | $allVersions = `false`,
|  |  | $keepCreator = `false`,
|  |  | $keepTime = `false`
| ) |  |
| static

Definition at line 597 of file ezcontentobjecttreenodeoperations.php.

References eZOperationHandler\execute(), eZContentObject\fetch(), eZContentObjectTreeNode\fetch(), eZDB\instance(), eZNodeAssignment\purgeByID(), ezpI18n\tr(), eZDebug\writeDebug(), and eZDebug\writeError().

Referenced by copySubtree().

## ◆ copySubtree()

static eZContentObjectTreeNodeOperations::copySubtree | ( |  | $srcNodeID,
|  |  | $dstNodeID,
|  | & | $notifications,
|  |  | $allVersions,
|  |  | $keepCreator,
|  |  | $keepTime
| ) |  |
| static

Definition at line 200 of file ezcontentobjecttreenodeoperations.php.

References copyPublishContentObject(), eZContentObjectAttribute\definition(), eZObjectRelationListType\domString(), eZContentObjectTreeNode\fetch(), eZPersistentObject\fetchObjectList(), eZDB\instance(), eZObjectRelationListType\parseXML(), eZContentObjectTreeNode\subTreeByNodeID(), ezpI18n\tr(), eZDebug\writeDebug(), and eZDebug\writeError().

Referenced by copy().

## ◆ move()

static eZContentObjectTreeNodeOperations::move | ( |  | $nodeID,
|  |  | $newParentNodeID
| ) |  |
| static

A wrapper for eZContentObjectTreeNode's 'move' operation. It does:

- clears caches for old placement;
- performs actual move( calls eZContentObjectTreeNode->move() );
- updates subtree path;
- updates node's section;
- updates assignment( setting new 'parent_node' );
- clears caches for new placement;

Parameters

  $nodeID | The id of a node to move.
  $newParentNodeID | The id of a new parent.

Returns
  `true` if 'move' was done successfully, otherwise `false`;

Definition at line 38 of file ezcontentobjecttreenodeoperations.php.

References eZSearch\addNodeAssignment(), eZContentObjectTreeNode\assignSectionToSubTree(), eZContentCacheManager\clearAllContentCache(), eZContentCacheManager\clearContentCacheIfNeeded(), eZUser\contentClassIDs(), eZNodeAssignment\fetch(), eZContentObjectTreeNode\fetch(), eZContentObjectTreeNode\fetchNode(), eZContentCache\inCleanupThresholdRange(), eZDB\instance(), eZNodeAssignment\OP_CODE_MOVE, eZUser\purgeUserCacheByUserId(), eZSearch\removeNodeAssignment(), and eZDebug\writeError().

Referenced by eZSiteInstaller\moveTreeNode().

## ◆ showNotificationAfterCopying()

static eZContentObjectTreeNodeOperations::showNotificationAfterCopying | ( | & | $Result,
|  | & | $Notifications,
|  |  | $srcNode
| ) |  |
| static

Definition at line 559 of file ezcontentobjecttreenodeoperations.php.

References eZExecution\cleanExit(), eZUser\currentUser(), eZTemplate\factory(), eZNavigationPart\fetchPartByIdentifier(), and ezpI18n\tr().

Referenced by copy().

The documentation for this class was generated from the following file:

- ezcontentobjecttreenodeoperations.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.